import LocalizedStrings from 'react-localization';

const strings = new LocalizedStrings({
  en: {
    colonize: (input: string): any => strings.formatString('{0}:', input),

    save: 'Save',
    cancel: 'Cancel',
    close: 'Close',
    settings: 'Settings',
    user: 'User',
    pseudo: 'Pseudo',
    geolocation: 'Geolocation',
    minTimeInt: 'Minimal time interval (ms)',
    minDist:'Minimal distance (m)',
  },
  fr: {
    colonize: (input: string): any => strings.formatString('{0} :', input),

    save: 'Sauvegarder',
    cancel: 'Annuler',
    close: 'Fermer',
    settings: 'Paramètres',
    user: 'Utilisateur',
    pseudo: 'Pseudo',
    geolocation: 'Géolocalisation',
    minTimeInt: 'Interval minimal (ms)',
    minDist:'Distance minimale (m)',
},
});

export default strings;
